Subject: Re: bug#53935: 27.2; [PATCH] ecomplete.el: Auto-select when there is only a single option

From: Phil Sainty <[email-masked]>
Date: Fri, 11 Feb 2022 21:28:16 +1300

On 2022-02-11 19:30, Lars Ingebrigtsen wrote:
> ecomplete tries to emulate how these things work in major browsers,
> and they do not work this way (autoselect when there's only one
> match) -- because the user may be typing to see what's available,
> and would then remove some characters if they don't get the matches
> they're looking for.

They can still do all of that, just as before.

The "automated" part of my patch happens *after* the user has finished
adding/removing characters, and has explicitly said (via M-n) that they
now wish to choose from one of the visible completion options.

The only difference between the old and new behaviour is that, in cases
where they'd filtered the completion options down to a single option,
they no longer have to additionally (and redundantly) type RET after
M-n to select the only thing that they could possibly select.

("M-n" acts like the sequence "M-n RET", in other words.)

-Phil